<?php
 defined('BASEPATH') or exit('No direct script access allowed');
require_once APPPATH . 'libraries/REST_Controller.php';

if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
        //header('Access-Control-Allow-Origin: *');
        header('Access-Control-Allow-Methods: POST, GET, DELETE, PUT, PATCH, OPTIONS');
        header('Access-Control-Allow-Headers: token, Content-Type');
        header('Access-Control-Max-Age: 1728000');
        header('Content-Length: 0');
        header('Content-Type: text/plain');
        die();
    }
    
class Api extends REST_Controller{

  
    public function __construct() {    
        parent::__construct();
         //Handle angular js Post data
        $angular_post = json_decode(file_get_contents('php://input'), true);
        if(!empty($angular_post)) {
            $_POST = $angular_post;
        }
        $this->load->model('api_model');
    }

        
      public function sendCRM_post() {
          //dsm($_POST);die;
        $this->load->library('form_validation');
        $lead_name=  $_POST['lead_name'];
        $lead_email = $_POST['lead_email'];
        $lead_mobile =  $_POST['lead_mobile'];
        $project =  $_POST['project'];
        $pname = $_POST['project_name'];
        $lead_comment = $_POST['lead_comment'];
        $created_at = date("Y-m-d H:i:s");
       
        $lead_source="Exhibition";
        $sub_source="BANM";
        list($project_name, $CID) = explode('~',$pname);
        
            // $this->form_validation->set_rules($pname, 'Project', 'required');
            // $this->form_validation->set_rules($lead_mobile, 'Mobile Number', 'required');
            // $this->form_validation->set_rules($lead_email, 'Email', 'required');
            // $this->form_validation->set_rules($lead_name, 'Name', 'required');

            
    //         if ($this->form_validation->run() == FALSE) {
    //             $rs = array("error"=>true,"message"=>validation_errors());
 			// echo json_encode($rs);die;
    //         } 
    //         else {
                
        $data_array = array(
            "lead_name"=>$lead_name,
            "lead_email"=>$lead_email,
            "lead_mobile"=>$lead_mobile,
            "project_name"=>$project,
            "CID"=>$CID,
            "lead_comment"=>$lead_comment,
            "lead_source"=>$lead_source,
            "sub_source"=>$sub_source,
            "created_at"=>$created_at,
            
        );
        //dsm($data_array);die;
        
         $leads_data = $this->api_model->insert_leads($data_array);
         //print_last_query();die;
         if($leads_data > 0)
         {
             $url1 ="https://arihantsuperstructureslimited.my.salesforce-sites.com/?Name=tesing&MobileNo=9898989898&EmailID=test@testing.com&ProjectName=Arihant+Clan+Aalishan&Comments=Test%20Lead&CID=7019B0000009HgwQAE&Lead%20source=Exhibition&Lead%20sub%20source=BANM";

		
		//Start SMS API
 		
 			$getdata = array(
            "Name"=>$lead_name,
            "MobileNo"=>$lead_mobile,
            "EmailID"=>$lead_email,
            "ProjectName"=>$project_name,
            "CID"=>$CID,
            "Comments"=>$lead_comment,
            "Lead source"=>$lead_source,
            "sub source"=>$sub_source,
            
        );

 			$url = 'https://arihantsuperstructureslimited.my.salesforce-sites.com/?' . http_build_query($getdata);
			$ch = curl_init($url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			$response = curl_exec($ch);

            if($response)
            {
                if($CID =="7019B0000009HsxQAE") //Aalishan 
                {
                    $brochure_url = base_url()."assets/brochure/3.pdf";
                    $driveurl = "https://bit.ly/3nIajNU";
                }
                else if($CID =="7019B0000009Ht2QAE") //Anaika 6 
                {
                    $brochure_url = base_url()."assets/brochure/9.pdf";
                    $driveurl = "https://bit.ly/3UbNw9o";
                }
                else if($CID =="7019B0000009HtvQAE") //Anaika 5 
                {
                    $brochure_url = base_url()."assets/brochure/14.pdf";
                     $driveurl = "https://bit.ly/3ZAAkM5";
                }
                else if($CID =="7019B0000009Ht7QAE") //Anant  
                {
                    $brochure_url = base_url()."assets/brochure/10.pdf";
                     $driveurl = "https://bit.ly/3K9eWb9";
                }
                else if($CID =="7019B0000009HtCQAU") //Aloki  
                {
                    $brochure_url = base_url()."assets/brochure/5.pdf";
                     $driveurl = "https://bit.ly/3zwM6g2";
                }
                else if($CID =="7019B0000009HtHQAU") //Amisha  
                {
                    $brochure_url = base_url()."assets/brochure/11.pdf";
                    $driveurl="https://bit.ly/3KvNRjL";
                }
                else if($CID =="7019B0000009HtMQAU") //Aaradhya  
                {
                    $brochure_url = base_url()."assets/brochure/12.pdf";
                    $driveurl="https://bit.ly/3Gc3tGE";
                }
                else if($CID =="7019B0000009HtRQAU") //Aayan  
                {
                    $brochure_url = base_url()."assets/brochure/13.pdf";
                     $driveurl = "https://bit.ly/432upT3";
                }
                else if($CID =="7019B0000009HtWQAU") //Aarohi  
                {
                    $brochure_url = base_url()."assets/brochure/8.pdf";
                     $driveurl = "https://bit.ly/40YZRjb";
                }
                else if($CID =="7019B0000009HtbQAE") //Anmol  
                {
                    $brochure_url = base_url()."assets/brochure/7.pdf";
                     $driveurl = "https://bit.ly/40EW7nn";
                }
                else if($CID =="7019B0000009HgwQAE") //Advika  
                {
                    $brochure_url = base_url()."assets/brochure/2.pdf";
                     $driveurl = "https://bit.ly/3U68iXU";
                }
                else if($CID =="7019B0000009HtgQAE") //Aspire  
                {
                    $brochure_url = base_url()."assets/brochure/4.pdf";
                    $driveurl = "https://bit.ly/3nMBirk";
                }
                else if($CID =="7019B0000009HtlQAE") //Arshiya  
                {
                    $brochure_url = base_url()."assets/brochure/6.pdf";
                     $driveurl = "https://bit.ly/3KwjPMM";
                }
                else if($CID =="7019B0000009HtqQAE") //Aleenta  
                {
                    $brochure_url = base_url()."assets/brochure/1.pdf";
                     $driveurl = "https://bit.ly/40ZZ3L6";
                }
                  $message="Thank you for showing interest in *$project*. Our executive will contact you soon. Download the brochure from the link below \n $driveurl \n Reply *Hi* to make link clickable";
                  $whatsapp_data= array(
                      "number"=>"91".$lead_mobile,
                      "type"=>"media",
                      "message"=>$message,
                      "media_url"=>$brochure_url,
                      "filename"=>$project.".pdf",
                      "instance_id"=>"642BF9A025162",
                      "access_token"=>"4245da578755d32f4967d5566b5583ae",
                      );
                     
                    
    				$url1 = 'https://smswaapi.in/api/send.php?' . http_build_query($whatsapp_data);
       //dsm($url1);
			$ch1 = curl_init($url1);
			curl_setopt($ch1, CURLOPT_RETURNTRANSFER, true);
			$response1 = curl_exec($ch1);
                 $rs1 = array("error"=>false,"message"=>"Your details saved successfully with us ","response"=>$response1);
 			echo json_encode($rs1);
            }
            else
            {
                
            }
 		
         }
         else
         {
             $rs = array("error"=>true,"message"=>"Failed to save data".$response);
 			echo json_encode($rs);
         }
        // } //else end form validation
      }
}